using HRD.WebApi.DAL;

namespace DAL.Models.Entities
{
    public partial class AdWebAppToWebAppRole : BaseEntity
    {
        public int AdWebAppToWebAppRoleId { get; set; }
        public int WebAppId { get; set; }
        public string AdWebAppName { get; set; }
        public string AdWebAppRoleName { get; set; }

        public string GetAdGrupSuffix()
        {
            return $"{AdWebAppName}_{AdWebAppRoleName}";
        }

        //generic Id
        public override int GetEntityId() => AdWebAppToWebAppRoleId;

        //generic ToString()
        public override string ToString() => $"AdWebAppToWebAppRoleId: {GetEntityId()}; AdWebAppRoleName: {AdWebAppRoleName}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}